Skip to main content
GET
/
open
/
v1
/
order
/
list
cURL
curl --request GET \
  --url http://sandbox.mintlify.com/open/v1/order/list \
  --header 'Content-Type: application/json' \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
  --data '{}'
{
  "code": "0",
  "message": "",
  "data": {
    "records": [
      {
        "subscriptionOrderNo": "2037430636859437083",
        "merchantSubscriptionOrderNo": "central-1",
        "subscriptionLink": "https://119.28.35.132:13555/zh/web3-subscribe?subscriptionOrderNo=2037430636859437083",
        "planNo": "2037430636851048458",
        "planName": "test_central",
        "planDesc": "Test centralized payment",
        "merchantId": "10002",
        "productNo": "4",
        "productName": "AI password-free payment",
        "priceNo": "9",
        "priceName": "Automatic deduction",
        "cryptoCurrency": "USDT",
        "chain": "",
        "userAddress": "",
        "cryptoAmount": null,
        "paidCount": 0,
        "totalPaidAmount": "0",
        "period": "NONE",
        "interval": 1,
        "totalPayCount": 0,
        "trialDays": 0,
        "endTime": 0,
        "lastPayTime": 0,
        "promoAmount": "0",
        "promoRate": "0",
        "callbackUrl": "https://gate.com",
        "orderStatus": "CANCELLED",
        "createTime": 1774599056574,
        "updateTime": 1774656660000
      }
    ],
    "total": 78
  },
  "success": true
}

Headers

X-GatePay-Certificate-ClientId
string
required

Merchant client ID, obtained from GatePay platform application

Example:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
required

HMAC-SHA256 signature, used to verify request legitimacy

Example:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"

X-GatePay-Timestamp
string
required

Timestamp (milliseconds), time difference with server cannot exceed 5 minutes

Example:

"1672905655498"

X-GatePay-Nonce
string
required

Random number, used to prevent replay attacks

Example:

"9578"

Body

application/json

Query subscription order list request parameters

merchantPlanNo
string
required

Merchant subscription plan number (choose one with planNo, or neither)

planNo
string

Platform subscription plan number (choose one with merchantPlanNo, or neither)

userAddress
string

User authorized address

merchantId
string

Merchant number

orderStatus
string

Subscription status filter

startTime
integer<int64>

Creation start time, millisecond timestamp

endTime
integer<int64>

Creation end time, millisecond timestamp, maximum 1 year

page
integer

Page number, starts from 0

count
integer

Number per page, maximum 100

Response

200 - application/json

Query subscription order list successful

code
string

Response code, 0 indicates success

Example:

"0"

message
string

Response description, empty when successful

Example:

""

success
boolean

Whether the request was successful

Example:

true

data
object